python-virtualenv (20.25.0+ds-2) unstable; urgency=medium

  * Depend on python3-setuptools for the setup-3 autopkgtest.
    (Closes: #1061830)
  * Drop setup-local-3 autotpkgtest, no longer useful.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 01 Feb 2024 18:24:30 -0400

python-virtualenv (20.25.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch platformdirs-4, superseded upstream.
  * Autopkgtests: Don't expect setuptools in python 3.12 venvs.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Dec 2023 21:47:59 -0400

python-virtualenv (20.24.6+ds-2) unstable; urgency=medium

  * Unversion the setuptools dependency in our autopkgtest test package.
    (Closes: #1056513)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Nov 2023 17:08:34 +0000

python-virtualenv (20.24.6+ds-1) unstable; urgency=medium

  * New upstream point release.
  * Refresh patches.
  * Patch: Loosen dependencies to permit platformdirs 4 to be installed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Nov 2023 11:22:12 +0200

python-virtualenv (20.24.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Jul 2023 11:52:44 +0200

python-virtualenv (20.23.0+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2023 15:47:50 -0400

python-virtualenv (20.23.0+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 04 May 2023 15:36:09 -0400

python-virtualenv (20.21.0+ds-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Mar 2023 21:12:22 -0400

python-virtualenv (20.19.0+ds-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.
  * Upstream migrated to hatchling, update Build-Depends.
  * Upstream stopped bundling docs in the source distribution, drop them.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Feb 2023 15:42:42 -0400

python-virtualenv (20.17.1+ds-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2022 17:43:56 -0500

python-virtualenv (20.16.6+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/patches/sysconfig-scheme, incorporated upstream
  * Refresh patches
  * Delete Suggests on python2-pip-whl, python2-setuptools-whl, and
    python2-wheel-whl, since python2 is no longer supported
  * Fix typo in long description
  * Remove d/python3-virtualenv.lintian-overrides, no longer needed

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Nov 2022 09:29:36 -0500

python-virtualenv (20.16.3+ds-5) unstable; urgency=medium

  * Support the nocheck build profile.
  * Drop explicit Build-Depends on python3-wheel, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 18 Oct 2022 17:36:14 +0200

python-virtualenv (20.16.3+ds-4.1) unstable; urgency=medium

  * Team upload.
  * Drop pypy and python2 autopkgtests (closes: #938249) as the binary package
    python-six got removed from the archive. Python 3 equivalents for these
    tests already exist (pypy3 and python3).

 -- Micha Lenk <micha@debian.org>  Sat, 15 Oct 2022 20:57:43 +0200

python-virtualenv (20.16.3+ds-4) unstable; urgency=medium

  * Depend on python3-distutils when we have setuptools < 60, which doesn't
    use its internal distutils copy, yet.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Sep 2022 11:18:39 +0200

python-virtualenv (20.16.3+ds-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Stefano Rivera ]
  * Move python3-distutils to Recommends instead, that is the intent here.
  * Also Recommend build-essential, ca-certificates, and python3-dev,
    previously transitively depended & recommended through python3-pip.
  * Patch: Use the correct sysconfig scheme, even when distutils isn't
    available.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Sep 2022 17:26:18 +0200

python-virtualenv (20.16.3+ds-2) unstable; urgency=medium

  * Drop explicit Depends on python3-pip, it's not needed. (Closes: #1019849)
  * Depend on python3-distutils, instead. It was previously a transitive
    dependency through python3-pip.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Sep 2022 16:06:00 +0200

python-virtualenv (20.16.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Aug 2022 18:08:41 +0200

python-virtualenv (20.15.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Jun 2022 18:12:38 +0200

python-virtualenv (20.14.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch pypy3.8, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 30 Mar 2022 16:46:46 -0400

python-virtualenv (20.13.0+ds-2) unstable; urgency=medium

  * Patch: Create virtualenvs for system PyPy3.8 installs that isolate from
    system packages.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Mar 2022 21:25:56 -0400

python-virtualenv (20.13.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Reorganise wheel packages, building individual wheels from their source
    packages (Closes: #1003573):
    - Depend on individual wheel packages.
    - Drop include-pkg_resources.patch, pkg_resources is included in the
      setuptools wheel.
    - Patch: Instruct the user which apt package to install, if a required
      wheel package is missing.
    - Update debian_update_for_available_wheels.patch to parse language
      version tags.
    - Mark pypy and python2.7 autopkgtests as skip-not-installable for now, as
      the binary packages are in NEW. (Closes: #1003687)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 13 Jan 2022 20:34:40 -0400

python-virtualenv (20.12.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop avoid-backports.entry-points-selectable.patch, superseded upstream.
  * Build with pybuild's pyproject plugin.
  * Drop explicit binary dependencies on python3-distutils,
    python3-importlib-metadata, and python3-pkg-resources, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 Jan 2022 09:00:30 -0400

python-virtualenv (20.10.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Nov 2021 10:48:18 -0700

python-virtualenv (20.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Patch: Drop (new) dependency on backports.entry-points-selectable, not
    packaged in Debian, instead we can just pin a dependency on
    importlib_metadata >= 3.6.
  * Build-Depend on runtime dependencies that dh_python3 will generate.
  * include-pkg_resources.patch: Avoid KeyError when building a virtualenv
    with --no-setuptools, thanks Mathieu Parent. (Closes: #994953)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Point homepage at documentation.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Oct 2021 16:29:33 -0700

python-virtualenv (20.4.6+ds-2) experimental; urgency=medium

  * Replace the pkg_resources addition part of
    debian_update_for_available_wheels.patch with include-pkg_resources.patch
    which will only include pkg_resources when using Debian's bundled
    setuptools wheel. (Closes: #976796)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 21 Jun 2021 18:29:48 -0400

python-virtualenv (20.4.6+ds-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove mentions of easy_install from the package description, long ago
    replaced by pip, and now removed upstream.
  * Compare virtualenv to venv in the description.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 May 2021 11:21:55 -0400

python-virtualenv (20.4.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Jan 2021 20:40:18 -0700

python-virtualenv (20.3.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 14 Jan 2021 21:23:14 -0700

python-virtualenv (20.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Jan 2021 23:04:47 -0700

python-virtualenv (20.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watch file format to version 4, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Nov 2020 12:28:47 -0800

python-virtualenv (20.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update upstream metadata.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Oct 2020 12:01:24 -0700

python-virtualenv (20.0.32+ds-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Drop Barry from Uploaders, he has retired. Thanks for all the help!
    (Closes: #970154)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Oct 2020 15:44:30 -0700

python-virtualenv (20.0.29+ds-1) unstable; urgency=medium

  * New upstream release.
  * Replace 0003-Add-ds-to-version.patch with just deleting version.py on
    clean. It is written during build. (Closes: #966952)
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 03 Aug 2020 14:15:20 -0700

python-virtualenv (20.0.27+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh and update patches.
  * Update the Files-Excluded path for the changes in 20.0.24
  * Declare Rules-Requires-Root: no.
  * Bump python3-distlib dependency, following upstream.
  * Patch: Disable virtualenv's periodic wheel update.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Jul 2020 17:29:54 -0700

python-virtualenv (20.0.23+ds-1) unstable; urgency=medium

  * New upstream release
    - Refresh and update patches

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Jun 2020 02:09:50 -0400

python-virtualenv (20.0.21+ds-2) unstable; urgency=medium

  * Let's make lintian less unhappy:
    - Override debhelper-but-no-misc-depends for virtualenv because it's a
      transitional package that doesn't need it
    - In debian/tests/python3 use supported python3 versions, not installed
    - Fix spelling error in previous debian/changelog entry
    - Add Repository and Repository-Browse fields to debian/upstream/metadata

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 May 2020 09:52:32 -0400

python-virtualenv (20.0.21+ds-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Autopkgtests:
    - Mark smoketest-3 as needs-internet, it downloads from PyPI.
    - Create temporary files in $AUTOPKGTEST_TMP, not the CWD.
    - Test import of the module installed in the virtualenv, not the CWD.
    - Use a temporary HOME, for virtualenv's app-data.
    - Add shunit2 test suite run across all interpreters.

  [ Scott Kitterman ]
  * Rework smoketest-3 so it executes no downloaded code and does a pep517
    check of a local testpackage
  * New upstream release
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 May 2020 01:35:09 -0400

python-virtualenv (20.0.20+ds-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Remove the instructions on including the ipaddr wheel - it has been
    reintroduced python-pip-whl 20.0.2-5.

  [ Scott Kitterman ]
  * New upstream release
  * Strip upstream provided wheels from tarball and make ds tarball since
    these are not preferred form of modification, but are free software
  * Refactor and radically simplify debian/patches/
    debian_update_for_available_wheels.patch so that only pkg_resources is
    added to the base_embed and only for local virtualenv activation
    - Since, as of python3-pip 20.1-1, Debian's pip uses sys.base_prefix
      instead of sys.prefix, all the pip required wheels no longer need to be
      in the base virtualenv when pip is installed
    - Set minimum python3-pip version in python3-virtualenv Depends
  * Update virtualenv short description to make it clear it is just a
    dependency package
  * Update debian/virtualenv.1 to align with refactored patches
  * Update debian/tests/setup-3 so that dependencies are satisfied locally

 -- Scott Kitterman <scott@kitterman.com>  Mon, 04 May 2020 15:04:12 -0400

python-virtualenv (20.0.17-1) unstable; urgency=medium

  * New upstream release
  * Add lintian overrides for python3-vritualenv for checks that produce
    inappropriate results
  * Improve virtualenv (1) information and formatting

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Apr 2020 09:42:40 -0400

python-virtualenv (20.0.16-2) unstable; urgency=medium

  * Document steps for running a python2 virtualenv in virtualenv (1)
    (Closes: #956148)
  * Use Debian specific app data cache so upstream virtualenv installed
    via pip doesn't see our cached wheels and flake out (Closes: #956144)
    - Thanks to Anthony Sottile for both the report and the suggested fix

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Apr 2020 21:01:48 -0400

python-virtualenv (20.0.16-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Apr 2020 01:21:15 -0400

python-virtualenv (20.0.15-1) unstable; urgency=medium

  * New upstream release
  * Add myself to uploaders

 -- Scott Kitterman <scott@kitterman.com>  Wed, 01 Apr 2020 02:56:06 -0400

python-virtualenv (20.0.13-1) unstable; urgency=medium

  * Team Upload
  * Clean up debian/watch (tarballs no longer signed)
  * New upstream release
    - Refresh patches (including deletion of unused patches)
  * Add python3-importlib-metadata to python3-virtualenv depends for cases
    where python3.7 is used outside the virtualenv
  * Update d/p/debian_update_for_available_wheels.patch to also set no install
    attributes for added wheels (needed since that feature is fixed in this
    relaese)
  * Update debian/verify.1 to match changes for 20.0.13

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Mar 2020 05:04:42 -0400

python-virtualenv (20.0.10-1) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Scott Kitterman ]
  * Replace deprecated binary keyring (debian/upstream-signing-key.pgp) with
    armored format (debian/upstream/signing-key.asc)
  * Remove Files-Excluded from debian/copyrigh, embedded wheels no longer
    provided in upstream tarball
  * Update debian/ for changed file names
  * Drop python2 tests, no longer work since pip is python3 only now (Closes:
    #954153)
  * Add setuptools-scm to build-depends
  * Update debian/watch
  * New upstream release
  * Replace and refactor all patches based on virtualenv restructure:
    - Acquire wheels from Debian specific wheels location (from pip wheels)
    - Generate wheel lists and attributes for base install to include all
      wheels needed by pip (since Debian uses unvendored wheels)
  * Drop python2 support (Closes: #938249)
  * Add new autopkgtest setup-local-3 to test installing from local dist-
    packages directory works
  * Update debian/virtualenv.1 using help2man (Closes: #907726)
    - Now mentions that downloading wheels from pypi is the default
  * Bump standards-version to 4.5.0 without further change
  * Move virtualenv script to python3-virtualenv (Closes: #862072)
    - Split is totally obsolete since python-virtualenv is gone
    - Make virtualenv a transitional dependency package
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Mar 2020 12:25:23 -0400

python-virtualenv (15.1.0+ds-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed build-dependencies used for tests, as unit tests aren't in use at
    build time anyways.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2020 12:38:34 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-virtualenv`.
